<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSpecialtiesTable extends Migration {

	public function up()
	{
		Schema::create('specialties', function(Blueprint $table) {
			$table->increments('id');
			$table->string('name', 250);
			$table->text('image')->nullable();
			$table->integer('cost_new');
			$table->integer('cost_continue');
			$table->integer('number_continue');
			$table->integer('number_absence');
			$table->double('doctor_percentage');
			$table->double('doctor_percentage_new');

            $table->softDeletes();
            $table->timestamps();
            $table->engine = 'InnoDB';
		});
	}

	public function down()
	{
		Schema::drop('specialties');
	}
}